# $Id: radvd.spec,v 1.23 2008/10/28 16:35:43 psavola Exp $

%if 0%{?suse_version}
%define	initdir /etc/init.d
%else
%define initdir /etc/rc.d/init.d
%endif

%define RADVD_UID 75

Summary:	A Router Advertisement daemon
Name:		radvd
Version:	1.11
Release:	1.5
# The code includes the advertising clause, so it's GPL-incompatible
License:	BSD with advertising
Group:		System Environment/Daemons
URL:		http://www.litech.org/radvd/
Source0:	http://www.litech.org/radvd/dist/%{name}-%{version}.tar.bz2
Patch0:		%{name}-suse.patch

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
Requires(postun):	chkconfig, /usr/sbin/userdel, initscripts
Requires(preun):	chkconfig, initscripts
Requires(post):	chkconfig
Requires(pre):	/usr/sbin/useradd
%endif

%if 0%{?suse_version} || 0%{?sles_version}
Requires(postun):	/sbin/chkconfig, /usr/sbin/userdel
Requires(preun):	/sbin/chkconfig
Requires(pre):		/usr/sbin/useradd
%endif

BuildRequires:	flex pkgconfig
BuildRequires:	libdaemon-devel

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
BuildRequires:	byacc
%endif

%if 0%{?suse_version} || 0%{?sles_version}
BuildRequires:	bison
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
radvd is the router advertisement daemon for IPv6.  It listens to router
solicitations and sends router advertisements as described in "Neighbor
Discovery for IP Version 6 (IPv6)" (RFC 2461).  With these advertisements
hosts can automatically configure their addresses and some other
parameters.  They also can choose a default router based on these
advertisements.

Install radvd if you are setting up IPv6 network and/or Mobile IPv6
services.

%prep
%setup -q
%patch0 -p1

%build
%configure --with-pidfile=/var/run/radvd/radvd.pid
%__make
# make %{?_smp_mflags} 
# Parallel builds still fail because seds that transform y.tab.x into
# scanner/gram.x are not executed before compile of scanner/gram.x
#

%install
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT

%__make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT%{initdir}
mkdir -p $RPM_BUILD_ROOT/var/run/radvd

%if 0%{?suse_version} || 0%{?sles_version}
%__install -m 644 suse/radvd.conf.empty $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
%__install -m 755 suse/radvd.init $RPM_BUILD_ROOT%{initdir}/radvd
%__install -D -m 644 suse/radvd.sysconfig %{buildroot}/var/adm/fillup-templates/sysconfig.%{name}
%endif

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
%__install -m 644 redhat/radvd.conf.empty $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
%__install -m 755 redhat/radvd.init $RPM_BUILD_ROOT%{initdir}/radvd
%__install -m 644 redhat/radvd.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/radvd
%endif
ln -sf ../../etc/init.d/radvd %{buildroot}%{_sbindir}/rcradvd

%clean
[ $RPM_BUILD_ROOT != "/" ] && rm -rf $RPM_BUILD_ROOT

%postun
if [ "$1" -ge "1" ]; then
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
    /sbin/service radvd condrestart >/dev/null 2>&1
%endif
%if 0%{?suse_version} || 0%{?sles_version}
%restart_on_update %{name}
%endif
fi

if [ $1 = 0 ]; then
        /usr/sbin/userdel radvd > /dev/null 2>&1 || :
fi

%post
%if 0%{?suse_version} || 0%{?sles_version}
%fillup_and_insserv %{name}
%endif
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
/sbin/chkconfig --add radvd
%endif

%preun
if [ $1 = 0 ]; then
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
   /sbin/service radvd stop >/dev/null 2>&1
   /sbin/chkconfig --del radvd
%endif
%if 0%{?suse_version} || 0%{?sles_version}
%stop_on_removal %{name}
%{insserv_cleanup}
%endif
fi

%pre
/usr/sbin/useradd -c "radvd user" -r -M -s /sbin/nologin -u %{RADVD_UID} -d / radvd 2>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYRIGHT README CHANGES INTRO.html TODO
%config(noreplace) %{_sysconfdir}/radvd.conf
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
%config(noreplace) /etc/sysconfig/radvd
%endif
%if 0%{?suse_version} || 0%{?sles_version}
/var/adm/fillup-templates/sysconfig.%{name}
%endif
%{initdir}/radvd
%dir %attr(-,radvd,radvd) /var/run/radvd/
%doc radvd.conf.example
%{_mandir}/*/*
%{_sbindir}/radvd
%{_sbindir}/radvdump
%{_sbindir}/rcradvd

%changelog
* Mon Jun  2 2014 cs@linux-administrator.com
- Update to version 1.11
* Wed Mar 19 2014 cs@linux-administrator.com
- Update to version 1.10.0
* Thu Feb 27 2014 cs@linux-administrator.com
- Update to version 1.9.9
* Sat Jan 18 2014 cs@linux-administrator.com
- Update to version 1.9.8
* Sat Nov 23 2013 cs@linux-administrator.com
- Update to version 1.9.7
* Sun Nov 17 2013 cs@linux-administrator.com
- Update to version 1.9.6
* Wed Oct  2 2013 cs@linux-administrator.com
- Update to version 1.9.5
* Mon Apr  1 2013 cs@linux-administrator.com
- Update to version 1.9.3
* Fri Dec  7 2012 cs@linux-administrator.com
- Update to version 1.9.2
* Thu May 10 2012 cs@linux-administrator.com
- Update to version 1.8.5
* Mon Oct 24 2011 cs@linux-administrator.com
- Update to version 1.8.3
* Mon Jun 27 2011 cs@linux-administrator.com
- Update to version 1.8
